Unit tzf17r_p;
interface
uses
SysUtils, Math, LStruct, Lfunc, UtRes_p, FZF17R_p, ZF17R_p;

function tzf17r: String; 

implementation

function tzf17r: String;
var
ITMAX,IERR :Integer;
A,B,EPS,ROOT :Real;
begin
Result := '';
A := -2.57;
B := 1.57;
EPS := 1.E-5;
ITMAX := 30;
ZF17R(FZF17R,A,B,EPS,ROOT,ITMAX,IERR);
Result := Result + Format('%20.16f %5d %5d ',[ROOT,_ZF17RR.elm1,IERR]) + #$0D#$0A;
UtRes('tzf17r',Result);  //    tzf17r.res
exit;
end;

end.
